ICU 78.3: icu::message2::FormattedMessage Class Reference

ICU 78.3 78.3

Public Member Functions
icu::message2::FormattedMessage Class Reference

Not yet implemented: The result of a message formatting operation. More...

`#include <messageformat2_formattable.h>`

Inheritance diagram for icu::message2::FormattedMessage:

## Public Member Functions
| FormattedMessage (UErrorCode &status)
| Not yet implemented. More...
int32_t | length (UErrorCode &status) const
| Not yet implemented. More...
char16_t | charAt (int32_t index, UErrorCode &status) const
| Not yet implemented. More...
StringPiece | subSequence (int32_t start, int32_t end, UErrorCode &status) const
| Not yet implemented. More...
UnicodeString | toString (UErrorCode &status) const override
| Not yet implemented. More...
UnicodeString | toTempString (UErrorCode &status) const override
| Not yet implemented. More...
Appendable & | appendTo (Appendable &appendable, UErrorCode &status) const override
| Not yet implemented. More...
UBool | nextPosition (ConstrainedFieldPosition &cfpos, UErrorCode &status) const override
| Not yet implemented. More...
CharacterIterator * | toCharacterIterator (UErrorCode &status)
| Not yet implemented. More...
virtual | ~FormattedMessage ()
| Destructor. More...
Public Member Functions inherited from icu::FormattedValue
virtual | ~FormattedValue ()

## Detailed Description

Not yet implemented: The result of a message formatting operation.

Based on ICU4J's FormattedMessage.java.

The class will contain information allowing the result to be viewed as a string, iterator, etc. (TBD)

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 885 of file messageformat2_formattable.h.

## Constructor & Destructor Documentation

## ◆ FormattedMessage()

icu::message2::FormattedMessage::FormattedMessage | ( | UErrorCode & | status | ) |
| inline

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Definition at line 893 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

## ◆ ~FormattedMessage()

virtual icu::message2::FormattedMessage::~FormattedMessage | ( |  | ) |
| virtual

Destructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

## Member Function Documentation

## ◆ appendTo()

Appendable& icu::message2::FormattedMessage::appendTo | ( | Appendable & | appendable,
|  | UErrorCode & | status
| ) |  | const
| inlineoverridevirtual

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Implements icu::FormattedValue.

Definition at line 967 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

## ◆ charAt()

char16_t icu::message2::FormattedMessage::charAt | ( | int32_t | index,
|  | UErrorCode & | status
| ) |  | const
| inline

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Definition at line 916 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

## ◆ length()

int32_t icu::message2::FormattedMessage::length | ( | UErrorCode & | status | ) | const
| inline

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Definition at line 904 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

## ◆ nextPosition()

UBool icu::message2::FormattedMessage::nextPosition | ( | ConstrainedFieldPosition & | cfpos,
|  | UErrorCode & | status
| ) |  | const
| inlineoverridevirtual

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Implements icu::FormattedValue.

Definition at line 979 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

## ◆ subSequence()

StringPiece icu::message2::FormattedMessage::subSequence | ( | int32_t | start,
|  | int32_t | end,
|  | UErrorCode & | status
| ) |  | const
| inline

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Definition at line 929 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

## ◆ toCharacterIterator()

CharacterIterator* icu::message2::FormattedMessage::toCharacterIterator | ( | UErrorCode & | status | ) |
| inline

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Definition at line 992 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

## ◆ toString()

UnicodeString icu::message2::FormattedMessage::toString | ( | UErrorCode & | status | ) | const
| inlineoverridevirtual

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Implements icu::FormattedValue.

Definition at line 943 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

## ◆ toTempString()

UnicodeString icu::message2::FormattedMessage::toTempString | ( | UErrorCode & | status | ) | const
| inlineoverridevirtual

Not yet implemented.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for ICU internal use only.

Implements icu::FormattedValue.

Definition at line 955 of file messageformat2_formattable.h.

References U_SUCCESS, and U_UNSUPPORTED_ERROR.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_formattable.h